package com.ruoyi.system.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.web.domain.BaseEntity;
import com.ruoyi.system.api.model.LoginUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnServerTask extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long taskId;
   @Excel(
      name = "操作服务器"
   )
   private Long serverId;
   @Excel(
      name = "服务器IP"
   )
   private String serverIp;
   @Excel(
      name = "服务器模板ID"
   )
   private Long serverTemplateId;
   @Excel(
      name = "任务名称"
   )
   private String taskName;
   @Excel(
      name = "任务类型"
   )
   private Integer type;
   @Excel(
      name = "执行结果"
   )
   private String result;
   @Excel(
      name = "执行状态"
   )
   private Integer status;
   private Integer process;
   private String clientVersion;
   private String bizVersion;

   public SnServerTask() {
   }

   public SnServerTask(SnServer server, LoginUser loginUser) {
      this.setServerId(server.getServerId());
      this.setServerIp(server.getIp());
      this.setStatus(0);
      this.setIsDelete(0);
      this.setCreateId(loginUser == null ? server.getCreateId() : loginUser.getUserid());
      this.setCreateName(loginUser == null ? server.getCreateName() : loginUser.getUsername());
      this.setCreateTime(DateUtils.getNowDate());
      this.setAgentId(server.getAgentId());
      this.setAgentName(server.getAgentName());
      this.setDealerId(server.getDealerId());
      this.setDealerName(server.getDealerName());
   }

   public SnServerTask(SnServerTemplate serverTemplate) {
      this.setServerId(serverTemplate.getServerId());
      this.setServerIp(serverTemplate.getServerIp());
      this.setServerTemplateId(serverTemplate.getId());
      this.setStatus(0);
      this.setIsDelete(0);
      this.setCreateId(serverTemplate.getCreateId());
      this.setCreateName(serverTemplate.getCreateName());
      this.setCreateTime(DateUtils.getNowDate());
      this.setAgentId(serverTemplate.getAgentId());
      this.setAgentName(serverTemplate.getAgentName());
      this.setDealerId(serverTemplate.getDealerId());
      this.setDealerName(serverTemplate.getDealerName());
      this.setProcess(serverTemplate.getProcess());
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("taskId", this.getTaskId()).append("serverId", this.getServerId()).append("taskName", this.getTaskName()).append("status", this.getStatus()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
   }

   public Long getTaskId() {
      return this.taskId;
   }

   public Long getServerId() {
      return this.serverId;
   }

   public String getServerIp() {
      return this.serverIp;
   }

   public Long getServerTemplateId() {
      return this.serverTemplateId;
   }

   public String getTaskName() {
      return this.taskName;
   }

   public Integer getType() {
      return this.type;
   }

   public String getResult() {
      return this.result;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getProcess() {
      return this.process;
   }

   public String getClientVersion() {
      return this.clientVersion;
   }

   public String getBizVersion() {
      return this.bizVersion;
   }

   public void setTaskId(Long taskId) {
      this.taskId = taskId;
   }

   public void setServerId(Long serverId) {
      this.serverId = serverId;
   }

   public void setServerIp(String serverIp) {
      this.serverIp = serverIp;
   }

   public void setServerTemplateId(Long serverTemplateId) {
      this.serverTemplateId = serverTemplateId;
   }

   public void setTaskName(String taskName) {
      this.taskName = taskName;
   }

   public void setType(Integer type) {
      this.type = type;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setProcess(Integer process) {
      this.process = process;
   }

   public void setClientVersion(String clientVersion) {
      this.clientVersion = clientVersion;
   }

   public void setBizVersion(String bizVersion) {
      this.bizVersion = bizVersion;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SnServerTask)) {
         return false;
      } else {
         SnServerTask other = (SnServerTask)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label143: {
               Object this$taskId = this.getTaskId();
               Object other$taskId = other.getTaskId();
               if (this$taskId == null) {
                  if (other$taskId == null) {
                     break label143;
                  }
               } else if (this$taskId.equals(other$taskId)) {
                  break label143;
               }

               return false;
            }

            Object this$serverId = this.getServerId();
            Object other$serverId = other.getServerId();
            if (this$serverId == null) {
               if (other$serverId != null) {
                  return false;
               }
            } else if (!this$serverId.equals(other$serverId)) {
               return false;
            }

            Object this$serverTemplateId = this.getServerTemplateId();
            Object other$serverTemplateId = other.getServerTemplateId();
            if (this$serverTemplateId == null) {
               if (other$serverTemplateId != null) {
                  return false;
               }
            } else if (!this$serverTemplateId.equals(other$serverTemplateId)) {
               return false;
            }

            label122: {
               Object this$type = this.getType();
               Object other$type = other.getType();
               if (this$type == null) {
                  if (other$type == null) {
                     break label122;
                  }
               } else if (this$type.equals(other$type)) {
                  break label122;
               }

               return false;
            }

            label115: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label115;
                  }
               } else if (this$status.equals(other$status)) {
                  break label115;
               }

               return false;
            }

            Object this$process = this.getProcess();
            Object other$process = other.getProcess();
            if (this$process == null) {
               if (other$process != null) {
                  return false;
               }
            } else if (!this$process.equals(other$process)) {
               return false;
            }

            Object this$serverIp = this.getServerIp();
            Object other$serverIp = other.getServerIp();
            if (this$serverIp == null) {
               if (other$serverIp != null) {
                  return false;
               }
            } else if (!this$serverIp.equals(other$serverIp)) {
               return false;
            }

            label94: {
               Object this$taskName = this.getTaskName();
               Object other$taskName = other.getTaskName();
               if (this$taskName == null) {
                  if (other$taskName == null) {
                     break label94;
                  }
               } else if (this$taskName.equals(other$taskName)) {
                  break label94;
               }

               return false;
            }

            label87: {
               Object this$result = this.getResult();
               Object other$result = other.getResult();
               if (this$result == null) {
                  if (other$result == null) {
                     break label87;
                  }
               } else if (this$result.equals(other$result)) {
                  break label87;
               }

               return false;
            }

            Object this$clientVersion = this.getClientVersion();
            Object other$clientVersion = other.getClientVersion();
            if (this$clientVersion == null) {
               if (other$clientVersion != null) {
                  return false;
               }
            } else if (!this$clientVersion.equals(other$clientVersion)) {
               return false;
            }

            Object this$bizVersion = this.getBizVersion();
            Object other$bizVersion = other.getBizVersion();
            if (this$bizVersion == null) {
               if (other$bizVersion != null) {
                  return false;
               }
            } else if (!this$bizVersion.equals(other$bizVersion)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SnServerTask;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $taskId = this.getTaskId();
      result = result * 59 + ($taskId == null ? 43 : $taskId.hashCode());
      Object $serverId = this.getServerId();
      result = result * 59 + ($serverId == null ? 43 : $serverId.hashCode());
      Object $serverTemplateId = this.getServerTemplateId();
      result = result * 59 + ($serverTemplateId == null ? 43 : $serverTemplateId.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $process = this.getProcess();
      result = result * 59 + ($process == null ? 43 : $process.hashCode());
      Object $serverIp = this.getServerIp();
      result = result * 59 + ($serverIp == null ? 43 : $serverIp.hashCode());
      Object $taskName = this.getTaskName();
      result = result * 59 + ($taskName == null ? 43 : $taskName.hashCode());
      Object $result = this.getResult();
      result = result * 59 + ($result == null ? 43 : $result.hashCode());
      Object $clientVersion = this.getClientVersion();
      result = result * 59 + ($clientVersion == null ? 43 : $clientVersion.hashCode());
      Object $bizVersion = this.getBizVersion();
      result = result * 59 + ($bizVersion == null ? 43 : $bizVersion.hashCode());
      return result;
   }
}
